package dtu.library.app;

import java.io.BufferedReader;
import java.io.IOException;

import dtu.library.persistency.PersistencyLayer;


public class Book extends Medium {

	public Book(String signature, String title, String author) {
		super(signature,title,author);
	}
	
	public Book() {
		super();
	}
	
	public int getFine() {
		return 20;
	}

	@Override
	protected int getMaxDaysForLoan() {
		return 4*7;
	}

	public static Book readFrom(BufferedReader in, PersistencyLayer pl) throws IOException {
		Book book = new Book();
		book.readFromReader(pl, in);
		return book;
	}

}
