package dtu.library.app;

import java.io.BufferedReader;
import java.io.IOException;

import dtu.library.persistency.PersistencyLayer;


public class Cd extends Medium {
	public Cd(String signature, String title, String author) {
		super(signature,title,author);
	}
	
	public Cd() {
		super();
	}
	
	public int getFine() {
		return 40;
	}

	@Override
	protected int getMaxDaysForLoan() {
		return 1*7;
	}

	public static Cd readFrom(BufferedReader in, PersistencyLayer pl) throws IOException {
		Cd cd = new Cd();
		cd.readFromReader(pl, in);
		return cd;
	}
}
