package dtu.library.ui;

import java.io.IOException;
import java.io.PrintWriter;

public class UserScreen extends Screen {

	@Override
	public void printScreen(PrintWriter out) throws IOException {
		out.println("0) Exit");
		out.println("1) Login as administrator");
	}

	@Override
	public boolean processInput(String selection, PrintWriter out) {
		if ("0".equals(selection)) {
			out.print("Exited.");
			return true;
		} else if ("1".equals(selection)) {
			libraryUI.setScreen(new LoginScreen());
		} else {
			out.print("Wrong selection; please repeat.");
		}
		return false;
	}
}
