package dtu.library.ui;

import java.io.IOException;
import java.io.PrintWriter;

public class LoginScreen extends Screen {

	@Override
	public void printScreen(PrintWriter out) throws IOException {
		out.println("password");
	}

	@Override
	public boolean processInput(String selection, PrintWriter out) {
		if (libraryUI.getLibraryApp().adminLogin(selection)) {
			out.print("Logged in.");
			libraryUI.setScreen(new AdminScreen());
		} else {
			out.print("Password incorrect.");
			libraryUI.setScreen(new UserScreen());
		}
		return false;
	}

}
