package dtu.library.ui;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintWriter;

abstract public class Screen {

	LibraryUI libraryUI;

	abstract public void printScreen(PrintWriter out) throws IOException;

	public String readInput(BufferedReader in) throws IOException {
		return in.readLine();
	}

	void setLibraryUI(LibraryUI libraryUI) {
		this.libraryUI = libraryUI;
	}

	abstract public boolean processInput(String input, PrintWriter out);
}
